<template>
  <div class="user-manage">
    <div class="flex jc-sb ai-c">
      <div class="addBox">
        <el-icon><Plus /></el-icon>
        <span>新建</span>
      </div>
      <div class="search">
        <el-input
          v-model="searchValue"
          style="width: 400px"
          placeholder="请输入搜索关键字"
        >
          <template #suffix>
            <el-icon class="el-input__icon"><search /></el-icon>
          </template>
        </el-input>
      </div>
    </div>
    <div class="list">
      <el-table
        :data="tableData"
        row-key="id"
        border
        style="width: 100%"
        class="roverTable"
      >
        <el-table-column prop="index" label="序号" width="60" />
        <el-table-column prop="userName" label="用户姓名" />
        <el-table-column prop="name" label="用户名" />
        <el-table-column prop="state" label="状态" />
        <el-table-column prop="role" label="类型" />
        <el-table-column prop="creatTime" label="创建时间" />
        <el-table-column label="操作"  width="220" >
          <template #default="scope">
            <el-button size="small" @click="update(scope.row)">
              编辑
            </el-button>
            <el-button size="small" @click="goDisable(scope.row)">
              禁用
            </el-button>
            <el-button size="small" @click="goDelete(scope.row)">
              删除
            </el-button>
          </template>
        </el-table-column>
      </el-table>
    </div>
    <div class="rover-pagination-block">
      <el-pagination
        v-model:current-page="currentPage"
        :page-size="pageSize"
        :background="background"
        layout="total, prev, pager, next"
        :total="100"
        @current-change="handleCurrentChange"
      />
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from "vue";
import { ElMessage, ElMessageBox } from 'element-plus'

const searchValue = ref();
const tableData = ref([]);
// 分页
const currentPage = ref(4);
const pageSize = ref(100);
const background = ref(true);

onMounted(() => {
  getUserData();
});

const getUserData =() =>{
  let list=[
    {
      index: 1,
      userName:'',
      name:'',
      state:'',
      role:'',
      creatTime:'',
    },
    {
      index: 2,
      userName:'',
      name:'',
      state:'',
      role:'',
      creatTime:'',
    },
    {
      index: 3,
      userName:'',
      name:'',
      state:'',
      role:'',
      creatTime:'',
    },
  ]
  tableData.value = list

}

const handleCurrentChange = (val: number) => {
  console.log(`current page: ${val}`);
};

// 编辑
const update = (row) =>{

}
//禁用
const goDisable = (row) =>{
  ElMessageBox.confirm(
    '确定要禁用该用户?',
    'Warning',
    {
      confirmButtonText: '确定',
      cancelButtonText: '取消',
      type: 'warning',
    }
  )
    .then(() => {
      console.log(row)
     
    })
    .catch(() => {
      
    })
  
}
//删除
const goDelete = () =>{
  ElMessageBox.confirm(
    '确定要删除该用户?',
    'Warning',
    {
      confirmButtonText: '确定',
      cancelButtonText: '取消',
      type: 'warning',
    }
  )
    .then(() => {
      console.log(row)
    })
    .catch(() => {
      
    })
}
</script>

<style lang="less" scoped>
.user-manage {
  padding: 20px;
}
.addBox {
  display: flex;
  align-items: center;
  color: #409eff;
}
.list{
  margin-top:20px;
}
.rover-pagination-block {
    height: 60px;
    display: flex;
    justify-content: flex-end;
    background-color: #fff;
    padding: 0 10px;
    box-sizing: border-box;
  }
</style>
